# mysql.func Table

The `mysql.func` table stores information about [user-defined functions](/docs/server/server-usage/user-defined-functions.md) (UDFs) created with the [CREATE FUNCTION UDF](/docs/server/server-usage/user-defined-functions/create-function-udf.md) statement.

This table uses the [Aria](/docs/server/server-usage/storage-engines/aria.md) storage engine.

The `mysql.func` table contains the following fields:

| Field | Type                         | Null | Key | Default | Description                                                                                                                                                                                                                                  |
| ----- | ---------------------------- | ---- | --- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name  | char(64)                     | NO   | PRI |         | UDF name                                                                                                                                                                                                                                     |
| ret   | tinyint(1)                   | NO   |     | 0       |                                                                                                                                                                                                                                              |
| dl    | char(128)                    | NO   |     |         | Shared library name                                                                                                                                                                                                                          |
| type  | enum('function','aggregate') | NO   |     | NULL    | Type, either function or aggregate. Aggregate functions are summary functions such as [SUM()](/docs/server/reference/sql-functions/aggregate-functions/sum.md) and [AVG()](/docs/server/reference/sql-functions/aggregate-functions/avg.md). |

## Example

```sql
SELECT * FROM mysql.func;
+------------------------------+-----+--------------+-----------+
| name                         | ret | dl           | type      |
+------------------------------+-----+--------------+-----------+
| spider_direct_sql            |   2 | ha_spider.so | function  |
| spider_bg_direct_sql         |   2 | ha_spider.so | aggregate |
| spider_ping_table            |   2 | ha_spider.so | function  |
| spider_copy_tables           |   2 | ha_spider.so | function  |
| spider_flush_table_mon_cache |   2 | ha_spider.so | function  |
+------------------------------+-----+--------------+-----------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/the-mysql-database-tables/mysql-func-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
